uartlite: xuartlite_low_level_example.c File Reference

| uartlite Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xuartlite_low_level_example.c File Reference

## Overview

This file contains a design example using the low-level driver functions and macros of the UartLite driver (XUartLite).

Note

The user must provide a physical loopback such that data which is transmitted will be received.

MODIFICATION HISTORY:

    Ver   Who  Date  Changes

    1.00b rpm  04/25/02 First release
    1.00b sv   06/13/05 Minor changes to comply to Doxygen and coding guidelines
    2.00a ktn  10/20/09 Updated to use HAL processor APIs and minor changes
                  for coding guidelines.
    3.2   ms   01/23/17 Added xil_printf statement in main function to
                        ensure that "Successfully ran" and "Failed" strings
                        are available in all examples. This is a fix for
                        CR-965028.

## Functions
int | UartLiteLowLevelExample (u32 UartliteBaseAddress)
| This function does a minimal test on the UartLite device using the low-level driver macros and functions. More...
int | main (void)
| Main function to call the example. More...

## Function Documentation

int main | ( | void |  | ) |

Main function to call the example.

Parameters

  None. |

Returns
  XST_SUCCESS if successful, XST_FAILURE if unsuccessful.

Note
  None.

References UartLiteLowLevelExample().

int UartLiteLowLevelExample | ( | u32 | UartliteBaseAddress | ) |

This function does a minimal test on the UartLite device using the low-level driver macros and functions.

This function sends data and expects to receive the data through the UartLite. A physical loopback must be done by the user with the transmit and receive signals of the UartLite.

Parameters

  UartliteBaseAddress | is the base address of the UartLite device and is the XPAR_<UARTLITE_instance>_BASEADDR value from xparameters.h.

Returns
  XST_SUCCESS if successful, XST_FAILURE if unsuccessful.

Note
  None.

References XUartLite_RecvByte(), and XUartLite_SendByte().

Referenced by main().